devguard
FrameworksUnadopt

Unadopt a framework (only if no dependencies).

DELETE
/frameworks/unadopt/

Authorization

Authorization
AuthorizationBearer <token>

In: header

Query Parameters

frameworkAdoptionId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
organizationId*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/frameworks/unadopt/?frameworkAdoptionId=497f6eca-6276-4993-bfeb-53cbbbba6f08&organizationId=string"
{  "id": "string",  "frameworkId": "string",  "organizationId": "string",  "adoptedAt": "string",  "adoptedBy": "string",  "notes": "string",  "targetDate": "string",  "framework": {    "id": "string",    "organizationId": "string",    "identifier": "string",    "slug": "string",    "version": "1.0",    "identifierColor": "string",    "publishedAt": "string",    "deprecatedAt": "string",    "isActive": true,    "requiredTier": "free-trial",    "name": "string",    "description": "string",    "isCentralized": true,    "lastSyncAt": "string",    "createdAt": "string",    "updatedAt": "string",    "createdBy": "string"  }}

How is this guide?